--~ powerFont = love.graphics.newFont("resources/fonts/Sawasdee-Bold.ttf", 50)
powerFont = love.graphics.newFont(50)
love.graphics.setFont(powerFont)
love.graphics.setBackgroundColor(176,224,230,255)

local battleLib = require "states/battle/battle"

function love.load()
	math.randomseed(os.time())
	battleLib.load()
	table.insert(events, battleLib.deal)  -- Starts the game
end

function love.update(dt)
	battleLib.update(dt)
end

function love.draw()
	battleLib.draw()
end

function love.keypressed(k)
	if k == "escape" then
		love.event.push("q")
	elseif k == " " then
		if not hideCards then
			hideCards = true
		else
			hideCards = false
		end
	end
end

--~ function love.mousepressed(x, y, b)
	--~ print("QUE?")
	--~ battleLib.mousepressed(x, y, b)
--~ end
