function newCard(x, y, w, h, image, eID)
	local self = {
		x = x,
		y = y,
		w = w,
		h = h,
		image = image,
	}
	if type(eID) == "table" then
		self.eID = eID.name
	else
		self.eID = eID
	end
	
	local function draw()
		love.graphics.draw(self.image, self.x, self.y)
	end
	
	local interface = {
		x = self.x,
		y = self.y,
		w = self.w,
		h = self.h,
		eID = self.eID,
		draw = draw,
	}
	return interface
end

-- The card metatable
--~ card = {}
--~ card.__index = card

--- Creates a new card
-- @param x: 		x-coordinate
-- @param y: 		y-coordinate
-- @param w: 		width
-- @param h: 		height
-- @param image: 	card image 								-- POSSIBLE CHANGE
-- @param entityID: entity this card is associated with 	-- POSSIBLE CHANGE
--~ function card:new(x, y, w, h, image, eID)
	--~ local c = {
		--~ x = x,
		--~ y = y,
		--~ w = w,
		--~ h = h,
		--~ image = image,
	--~ }
	--~ if type(eID) == "table" then
		--~ c.player = eID.name
	--~ else
		--~ c.player = eID
	--~ end
	--~ setmetatable(c, self)
	--~ self.__index = self
	--~ return c
--~ end
--~ 
--~ function card:draw()
	--~ love.graphics.draw(self.image, self.x, self.y)
--~ end

--~ -- The card.lua namespace
--~ local namespace = {
	--~ card = card
--~ }
--~ return namespace
