-- Required packages
require "obj/cards/card"

function newStatCard(x, y, w, h, eID, kind)
	local stat = nil
	if kind == "att" then
		stat = eID.att
	elseif kind == "def" then
		stat = eID.def
	end
	local power = math.random(stat)
	local image = statCardImages[kind][power]
	local self = newCard(x, y, w, h, image, eID)
	self.kind = kind
	self.power = power
	self.isSelected = false
	
	local interface = {
		x = self.x, 
		y = self.y,
		w = self.w,
		h = self.h,
		draw = self.draw,
		kind = self.kind,
		power = self.power,
		isSelected = self.isSelected,
	}
	return interface
end
	-- The statCard metatable
	--~ local statCard = card:new()
	--~ statCard.__index = statCard		-- Gives inherentance to card
	--~ 
	--~ --- Creates a new statCard
	--~ -- @param x: 		x-coordinate
	--~ -- @param y: 		y-coordinate
	--~ -- @param w: 		width
	--~ -- @param h: 		height
	--~ -- @param eID: 		entity this card is associated with
	--~ -- @param kind: 	the type of statCard (attack or defense)
	--~ function statCard:new(x, y, w, h, eID, kind)
		--~ local stat = nil
		--~ if kind == "att" then
			--~ stat = eID.att
		--~ elseif kind == "def" then
			--~ stat = eID.def
		--~ end
		--~ local power = math.random(stat)
		--~ local image = statCardImages[kind][power]
		--~ local s = cardLib:new(x, y, w, h, image)
		--~ s.kind = kind
		--~ s.power = power
		--~ s.isSelected = false
		--~ return s
	--~ end
	--~ 
	--~ function statCard:draw()
		--~ cardLib.card:draw()
	--~ end
	--~ 
	--~ -- The statcard.lua namespace
	--~ local namespace = {
		--~ statCard = statCard
	--~ }
	--~ return namespace
	--~ return statCard
