-- Require packages
require "obj/entity/entity"

function newNPC(hp, att, def, name, exp, dWeight)
	local self = newEntitiy(hp, att, def)
	self.name = name
	self.exp = exp
	self.weight = dWeight
	
	local info = {}
	
	local function deltaStat(a, b, weight)
		local dStat = a - b
		if math.random() < weight then
			print(">>>>>>>>be dumb<<<<<<<<")
			return dStat * -1
		else return dStat end
	end
	
	local function decipher(a)
		if a > 0 then
			return "att"
		elseif a < 0 then
			return "def"
		else
			return ""
		end
	end
	
	local function choose(p, hand)
		local key = decipher(info.hStr)
		if math.abs(info.hStr) > 3 then
			print("##########overwhelm##########")
			print("plays",key)
			playCard(key, entities.enemy.hand[key], "enemy")
			return
		else
			local pKey = decipher(info.pStr)
			local oppKey = decipher(info.pStr * -1)
			print("pKey:", pKey)
			print("oppKey:", oppKey)
			if pKey ~= "" or oppKey ~= ""  then
				print(hand[oppKey].power, p[pKey])
				if hand[oppKey].power >= p[pKey] then
					print("##########play the odds##########")
					print("plays",oppKey)
					playCard(oppKey, entities.enemy.hand[oppKey], "enemy")
					return
				else
					print("##########defend##########")
					print("plays",pKey)
					playCard(pKey, entities.enemy.hand[pKey], "enemy")
					return
				end
			end
		end
		if key ~= "" then
			print("##########meakly attack##########")
			print("plays",key)
			playCard(key, entities.enemy.hand[key], "enemy")
		else
			print("##########i dunno##########")
			if math.random() < 0.5 then
				print("plays","att")
				playCard("att", entities.enemy.hand.att, "enemy")
			else
				print("plays","def")
				playCard("def", entities.enemy.hand.def, "enemy")
			end
		end
	end
	
	local function readHand(p, hand)
		print("NPC THINKING")
		info.pStr = deltaStat(p.att, p.def, self.weight)
		print("info.pStr:", info.pStr)
		info.eStr = deltaStat(self.att, self.def, self.weight)
		print("info.eStr:", info.eStr)
		info.hStr = deltaStat(hand.att.power, hand.def.power, self.weight)
		print("info.hStr:", info.hStr)
		choose(p, hand)
	end
	
	local interface = {
		hp = self.hp,
		att = self.att,
		def = self.def,
		readHand = readHand,
	}
	return interface
end

--~ do
	--~ -- The npc metatable
	--~ local npc = {}
	--~ npc.__tostring = "plaincard"
	--~ npc.__index = entityLib.entity
	--~ 
	--~ local info = {}
	--~ 
	--~ local function deltaStat(a, b, weight)
		--~ local dStat = a - b
		--~ if math.random() < 0.5 + weight then
			--~ return dStat * -1
		--~ else return dStat end
	--~ end
	--~ 
	--~ local function choose(p, hand)
		--~ if math.abs(info.hStr) > 3 then
			--~ local key = decipher(info.hStr)
			--~ playCard(key, entities.enemy.hand[key], "enemy")
		--~ else
			--~ local pKey = decipher(info.pStr)
			--~ local oppKey = decipher(info.pStr * -1)
			--~ if hand[oppKey] >= p[pKey] then
				--~ playCard(oppKey, entities.enemy.hand[oppKey], "enemy")
			--~ else
				--~ playCard(pKey, entities.enemy.hand[pKey], "enemy")
			--~ end
		--~ end
	--~ end
	--~ 
	--~ local function decipher(a)
		--~ if a > 0 then
			--~ return "att"
		--~ elseif a < 0 then
			--~ return "def"
		--~ else
			--~ return ""
		--~ end
	--~ end
	--~ 
	--~ --- Creates a new NPC
	--~ -- @param hp:		base health
	--~ -- @param att:		base attack power
	--~ -- @param def:		base defense power
	--~ -- @param name:		NPC name
	--~ -- @param exp:		experience earned from upon defeat
	--~ -- @param weight:	the dumbness weight
	--~ function npc:new(hp, att, def, name, exp, weight)
		--~ local n = entityLib.entity:new(hp, att, def)
		--~ n.name = name
		--~ n.exp = exp
		--~ return n
	--~ end
	--~ 
	--~ function npc:readHand(p, hand)
		--~ info.pStr = deltaStat(p.att, p.def, self.weight)
		--~ info.eStr = deltaStat(self.att, self.def, self.weight)
		--~ info.hStr = deltaStat(hand.att.power, hand.def.power)
		--~ choose(p, hand)
	--~ end
	--~ 
	--~ -- The npc.lua namespace
	--~ local namespace = {
		--~ npc = npc
	--~ }
	--~ return namespace
--~ end
